<!DOCTYPE html>
<?php error_reporting(0);?>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Traceon API</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ base_url() }}/css/app.css">
    <script
    src="https://code.jquery.com/jquery-2.2.4.min.js"
    integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44="
    crossorigin="anonymous"></script>
</head>

<body>

    <div class="container">
        {% include 'templates/partials/navigation.twig' %}
        {% block content %}{% endblock %}

        <div class="panel panel-default">
            <div class="panel-body">
                <div id="test"></div>
            </div>
        </div>

    </div>

    <script type="text/javascript">
    $(function() {
        $('#ajax').click(function(){
            BookAPI();
        });
        function BookAPI(){

            var txtCommand = $("#command").val();
            var txtPatronID = $("#PatronID").val();
            var txtRe_code = $("#re_code").val();

            if (txtCommand == 'newReleases') {
                var requestAjax = $.ajax({
                url: "index.php/newReleasesController/newReleases",
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='newReleases'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#newReleases").text(jsonPretty);

                }
            });
            }else if (txtCommand == 'checkCard') {
                var requestAjax = $.ajax({
                url: "index.php/checkCardController/checkCard",
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='checkCard'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#checkCard").text(jsonPretty);

                }
            });
            }else if (txtCommand == 'justReturn') {
                var requestAjax = $.ajax({
                url: "index.php/justReturnController/justReturn",
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='justReturn'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#justReturn").text(jsonPretty);

                }
            });
            }else if (txtCommand == 'popularWeekly') {
                var requestAjax = $.ajax({
                url: "index.php/poppularWeeklyController/poppularWeekly",
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='poppularWeekly'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#poppularWeekly").text(jsonPretty);

                }
            });
            }else if (txtCommand == 'popularMonthly') {
                var requestAjax = $.ajax({
                url: "index.php/popularMonthlyController/popularMonthly",
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='popularMonthly'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#popularMonthly").text(jsonPretty);

                }
            });
            }else if (txtRe_code != "" && txtCommand == 'checkstatus') {
                var requestAjax = $.ajax({
                url: "index.php/checkstatusController/checkstatus/"+txtRe_code,
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='datacheckstatus'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#datacheckstatus").text(jsonPretty);

                }
            });
            }else if (txtPatronID != "" && txtCommand == 'checkpatron') {
                var requestAjax = $.ajax({
                url: "index.php/checkpatronController/checkpatron/"+txtPatronID,
                type: "GET",
                dataType: "json",
                success: function(data){
                    console.log(data);

                    $("#test").html("<pre id='dataCheckpatron'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#dataCheckpatron").text(jsonPretty);
                }
            });
            }else if (txtRe_code != "" && txtCommand == 'checkin') {
                var requestAjax = $.ajax({
                url: "index.php/checkinController/checkin/"+txtRe_code,
                type: "GET",
                dataType: "json",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='dataCheckin'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#dataCheckin").text(jsonPretty);
                }
            });
            }else if (txtPatronID != "" && txtRe_code != "" && txtCommand == 'checkout') {
                var dataResult = [
                    txtPatronID,
                    txtRe_code
                ];
                var requestAjax = $.ajax({
                url: "index.php/checkoutController/checkout/"+dataResult,
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='datacheckout'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#datacheckout").text(jsonPretty);
                }
            });
            }else if (txtPatronID != "" && txtRe_code != "" && txtCommand == 'checkout_again') {
                var dataResult = [
                    txtPatronID,
                    txtRe_code
                ];
                var requestAjax = $.ajax({
                url: "index.php/checkout_againController/checkout_again/"+dataResult,
                type: "GET",
                success: function(data){
                console.log(data);

                    $("#test").html("<pre id='datacheckout_again'>" + JSON.stringify(data) + "</pre>");

                    var jsonStr = $("pre").text();
                    var jsonObj = JSON.parse(jsonStr);
                    var jsonPretty = JSON.stringify(jsonObj, null, '\t');

                    $("#datacheckout_again").text(jsonPretty);
                }
            });
            }
            // else{
            //     alert(jQuery('#command').val());
            //
            // }

        }
    });

    </script>



    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

</body>

</html>